# coding: utf8
"""
Fonction 'est_pangramme()'.

 Un pangramme est une phrase comportant toutes les lettres de l'alphabet.
 Donc, en français, un pangramme comporte au moins 26 lettres.

Dans un module, définissez la fonction est_pangramme qui reçoit une chaîne à 
tester et un alphabet (on prendra par défaut string.ascii_lowercase).
La fonction retourne un booléen, 'True' si la chaîne est un pangramme, 'False' sinon.

Conseil : les propriétés de la structure set peuvent être intéressantes...

fichier : pangramme_m.py
auteur : Bob
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
import string

# Définition de fonction ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def est_pangramme(s, alphabet=string.ascii_lowercase):
    # return set(alphabet) <= set(s.lower())
    return set(alphabet).issubset(set(s.lower()))

# Auto-test ===================================================================
if __name__ == "__main__"        :
    s1 = "Portez ce vieux whisky au juge blond qui fume"
    s2 = "Le vif renard brun saute par-dessus le chien paresseux"

    print(f"s1 : {est_pangramme(s1)}")
    print(f"s2 : {est_pangramme(s2)}")